Page MenuHomePhabricator

specify group (api/vslow/etc) weights in terms of 0..100 instead of 0..1
Closed, ResolvedPublic

Description

With weights for api/recentchanges/vslow/etc groups being in terms of 0..1, it's impossible to do slow warmups of traffic to those groups.

Configurations should be edited to change all 1 weights into 100 weights (scaling the few non-1 weights as necessary). If done for all instances at once, this shouldn't have any impact.

If it would be helpful I think I could come up with some shell scripting to automate this transformation.

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8

Event Timeline

CDanis created this task.Aug 22 2019, 3:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2019, 3:16 PM
Marostegui moved this task from Triage to Next on the DBA board.Aug 26 2019, 2:38 PM
Marostegui triaged this task as Normal priority.Sep 6 2019, 10:05 AM
Marostegui updated the task description. (Show Details)Sep 26 2019, 8:19 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-09-26T08:22:34Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change special weights from 1 to 100 - T231018', diff saved to https://phabricator.wikimedia.org/P9201 and previous config saved to /var/cache/conftool/dbconfig/20190926-082233-marostegui.json

Marostegui updated the task description. (Show Details)Sep 26 2019, 8:22 AM

Mentioned in SAL (#wikimedia-operations) [2019-10-17T06:02:52Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change special weights from x to x100 on s5 - T231018', diff saved to https://phabricator.wikimedia.org/P9369 and previous config saved to /var/cache/conftool/dbconfig/20191017-060251-marostegui.json

Marostegui updated the task description. (Show Details)Oct 17 2019, 6:03 AM

Mentioned in SAL (#wikimedia-operations) [2019-10-21T07:01:20Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights from 1 to 100 on s1 codfw - T231018', diff saved to https://phabricator.wikimedia.org/P9404 and previous config saved to /var/cache/conftool/dbconfig/20191021-070119-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-10-21T07:03:53Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights from 1 to 100 on s1 eqiad - T231018', diff saved to https://phabricator.wikimedia.org/P9405 and previous config saved to /var/cache/conftool/dbconfig/20191021-070352-marostegui.json

Marostegui updated the task description. (Show Details)Mon, Oct 21, 7:03 AM

Mentioned in SAL (#wikimedia-operations) [2019-10-21T13:21:46Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights 1/2 to 100/200 on s2 eqiad - T231018', diff saved to https://phabricator.wikimedia.org/P9410 and previous config saved to /var/cache/conftool/dbconfig/20191021-132145-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-10-21T13:24:41Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights 1/2 to 100/200 on s2 codfw - T231018', diff saved to https://phabricator.wikimedia.org/P9411 and previous config saved to /var/cache/conftool/dbconfig/20191021-132440-marostegui.json

Marostegui updated the task description. (Show Details)Mon, Oct 21, 1:24 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-22T09:10:52Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s4 codfw - T231018', diff saved to https://phabricator.wikimedia.org/P9424 and previous config saved to /var/cache/conftool/dbconfig/20191022-091051-marostegui.json

Marostegui updated the task description. (Show Details)Tue, Oct 22, 9:13 AM

Mentioned in SAL (#wikimedia-operations) [2019-10-22T09:13:28Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s4 eqiad - T231018', diff saved to https://phabricator.wikimedia.org/P9425 and previous config saved to /var/cache/conftool/dbconfig/20191022-091327-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-10-23T07:35:57Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s6 codfw - T231018', diff saved to https://phabricator.wikimedia.org/P9446 and previous config saved to /var/cache/conftool/dbconfig/20191023-073556-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-10-23T07:38:33Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s6 eqiad - T231018', diff saved to https://phabricator.wikimedia.org/P9447 and previous config saved to /var/cache/conftool/dbconfig/20191023-073831-marostegui.json

Marostegui updated the task description. (Show Details)Wed, Oct 23, 7:39 AM

Mentioned in SAL (#wikimedia-operations) [2019-10-23T07:48:30Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s7 codfw - T231018', diff saved to https://phabricator.wikimedia.org/P9448 and previous config saved to /var/cache/conftool/dbconfig/20191023-074828-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-10-23T07:51:07Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s7 eqiad - T231018', diff saved to https://phabricator.wikimedia.org/P9449 and previous config saved to /var/cache/conftool/dbconfig/20191023-075106-marostegui.json

Marostegui updated the task description. (Show Details)Wed, Oct 23, 7:51 AM

Mentioned in SAL (#wikimedia-operations) [2019-10-23T08:09:00Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s8 codfw - T231018', diff saved to https://phabricator.wikimedia.org/P9450 and previous config saved to /var/cache/conftool/dbconfig/20191023-080857-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-10-23T08:22:47Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Change weights to x100 on s8 eqiad - T231018', diff saved to https://phabricator.wikimedia.org/P9451 and previous config saved to /var/cache/conftool/dbconfig/20191023-082246-marostegui.json

Marostegui closed this task as Resolved.Wed, Oct 23, 8:23 AM
Marostegui claimed this task.
Marostegui updated the task description. (Show Details)
Marostegui added a subscriber: Marostegui.

All the weights have been migrated to x100, so we can now warm up api,vslow,dump,rc hosts